# Class HasWritePermissionDirective

#### Implements

- OnInit
- OnDestroy

- Defined in lib/has-write-permission.directive.ts:20

#####
Index

### Constructors

constructor

### Properties

_subscription?
authorization
cdr
identifier
readonly
scope

### Methods

ngOnDestroy
ngOnInit

## Constructors

### constructor

- new HasWritePermissionDirective(authorization, cdr, scope?): HasWritePermissionDirective

- #### Parameters

  - authorization: AuthorizationService
  - cdr: ChangeDetectorRef
  - scope: null | string = null

  #### Returns HasWritePermissionDirective

  - Defined in lib/has-write-permission.directive.ts:30

## Properties

### `Private` `Optional` _subscription

_subscription?: Subscription

- Defined in lib/has-write-permission.directive.ts:28

### `Private` `Readonly` authorization

authorization: AuthorizationService

- Defined in lib/has-write-permission.directive.ts:32

### `Protected` `Readonly` cdr

cdr: ChangeDetectorRef

- Defined in lib/has-write-permission.directive.ts:34

### identifier

identifier: string

- Defined in lib/has-write-permission.directive.ts:25

### readonly

readonly: boolean = false

- Defined in lib/has-write-permission.directive.ts:27

### `Private` `Readonly` scope

scope: null | string = null

- Defined in lib/has-write-permission.directive.ts:37

## Methods

### ngOnDestroy

- ngOnDestroy(): void

- #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in lib/has-write-permission.directive.ts:53

### ngOnInit

- ngOnInit(): void

- #### Returns void

  Implementation of OnInit.ngOnInit

  - Defined in lib/has-write-permission.directive.ts:41